import request from '@/utils/request'

export function initProject() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '合同信息管理_项目名称_总_查询'
    }
  })
}
export function selectProvince() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '发货管理_省份查询'
    }
  })
}
export function SelectMarketingManager(code) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '客户关系管理系统_按地区查询_营销经理',
      param: '省份流水号=' + code
    }
  })
}
export function searchTable1(pageCurrent, pageSize, num1, num2, num3, num4, num5, num6, num7, num8, num9, num10) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '合同信息管理_合同信息_查询',
      param: '合同ID=' + num1 + '=int&人员ID=' + num2 + '=int&项目流水号_check=' + num3 + '=int&营销经理流水号_check=' + num4 + '=int&开始日期_check=' + num5 + '=int&结束日期_check=' + num6 + '=int&开始日期=' + num7 + '=date&结束日期=' + num8 + '=date&机床型号_check=' + num9 + '=int&机床型号=' + num10 + '=string',
      Pagination: pageCurrent + '&' + pageSize
    }
  })
}
export function selectMachine(code) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: 'PDM_机床名称_查询数据_通过项目流水号',
      param: '项目流水号=' + code
    }
  })
}
export function searchTableDataInvoiceRecord(num1) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '合同信息管理_开票记录_查询',
      param: '项目流水号=' + num1 + '=int'
    }
  })
}
export function searchTableContractCapitalManagement(num1) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '合同资金管理_资金信息_查询',
      param: '合同ID=' + num1 + '=int'
    }
  })
}
export function searchTableSafetyMargin(num1) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '安全保证金管理_安全保证金信息查询',
      param: '项目流水号=' + num1 + '=int'
    }
  })
}
export function searchTableBidBond(num1) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '营销综合查询_投标保证金_按项目查',
      param: '项目流水号=' + num1 + '=int'
    }
  })
}
export function typeOfPerformanceBond(num1) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '合同信息管理_履约保证金类型_查询',
      param: '项目流水号=' + num1 + '=int'
    }
  })
}
export function searchTableDataPerformanceBond(num1) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '合同信息管理_履约保证金_查询',
      param: '项目流水号=' + num1 + '=int'
    }
  })
}
export function searchTableDataDeliveryManagement(num1) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '营销综合查询_发货单_按项目查',
      param: '项目流水号=' + num1 + '=int'
    }
  })
}
